com.pixelmed.dose

## Class DoseCompositeInstanceContext

- java.lang.Object
- - com.pixelmed.dicom.CompositeInstanceContext
  - - com.pixelmed.dose.DoseCompositeInstanceContext

    public class DoseCompositeInstanceContext
    extends CompositeInstanceContext

### Field Summary

### Fields inherited from class com.pixelmed.dicom.CompositeInstanceContext

`clinicalTrialSubjectModuleAttributeTags, frameOfReferenceModuleAttributeTags, generalEquipmentModuleAttributeTags, generalImageModuleAttributeTags, generalSeriesModuleAttributeTags, generalStudyModuleAttributeTags, list, patientModuleAttributeTags, patientStudyModuleAttributeTags, sopCommonModuleAttributeTags, srDocumentGeneralModuleAttributeTags`

### Constructor Summary

Constructors
Constructor and Description
`DoseCompositeInstanceContext()`
`DoseCompositeInstanceContext(AttributeList srcList)`

### Method Summary

Methods
`void` `updateFromSource(CTIrradiationEventDataFromImages eventDataFromImages)`

### Methods inherited from class com.pixelmed.dicom.CompositeInstanceContext

`addOrReplaceIfNotEmptyOtherwiseLeaveUnchanged, createPerformedProcedureCodeSequenceIfAbsent, createReferencedRequestSequenceIfAbsent, equals, getAttributeList, hashCode, put, putAll, removeAllButPatient, removeAllButPatient, removeAllButPatientAndStudy, removeAllButPatientAndStudy, removeEquipment, removeEquipment, removeFrameOfReference, removeFrameOfReference, removeInstance, removeInstance, removePatient, removePatient, removeSeries, removeSeries, removeSRDocumentGeneral, removeSRDocumentGeneral, removeStudy, removeStudy, toString, updateFromSource, updateFromSource`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DoseCompositeInstanceContext

    public DoseCompositeInstanceContext()

#### DoseCompositeInstanceContext

    public DoseCompositeInstanceContext(AttributeList srcList)

### Method Detail

#### updateFromSource

    public void updateFromSource(CTIrradiationEventDataFromImages eventDataFromImages)